task mergeSentieon {
	Array[File] aln_metrics_header
	Array[File] aln_metrics_data

	Array[File] is_metrics_header
	Array[File] is_metrics_data

	Array[File] quality_yield_header
	Array[File] quality_yield_data

	Array[File] wgs_metrics_header
	Array[File] wgs_metrics_data

	String docker
	String cluster_config
	String disk_size

	command <<<
		set -o pipefail
		set -e
		echo '''Sample''' > sample_column
		cat ${sep=" " aln_metrics_header} | sed -n '1,1p' | cat - ${sep=" " aln_metrics_data} > aln_metrics
		ls ${sep=" " aln_metrics_data} | cut -d '.' -f1 | cat sample_column - | paste - aln_metrics > aln_metrics.txt
		cat ${sep=" " is_metrics_header} | sed -n '1,1p' | cat - ${sep=" " is_metrics_data} > is_metrics.txt
		
		cat ${sep=" " quality_yield_header} | sed -n '1,1p' | cat - ${sep=" " quality_yield_data} > quality_yield_data.txt
		cat ${sep=" " wgs_metrics_header} | sed -n '1,1p' | cat - ${sep=" " wgs_metrics_data} > wgs_metrics_data.txt		
	>>>

	runtime {
		docker:docker
		cluster:cluster_config
		systemDisk:"cloud_ssd 40"
		dataDisk:"cloud_ssd " + disk_size + " /cromwell_root/"
	}

	output {
		File aln_metrics_merge = "aln_metrics.txt"
		File is_metrics_merge = "is_metrics.txt"
		File quality_yield_merge = "quality_yield_data.txt"
		File wgs_metrics_merge = "wgs_metrics_data.txt"
	}
}